@import model._

@(lineup: Seq[LineupEntryWithPlayer], allPlays: Seq[GameAction], scoringPlays: Seq[ScoringPlay])

<div id="lineups">
    <div class="table-responsive-sm">
        <table class="table table-sm table-striped table-hover">
            <thead>
                <tr>
                    <th>Pitcher</th>
                    <th>IP</th>
                    <th>ER</th>
                    <th>H</th>
                    <th>BB</th>
                    <th>K</th>
                    <th>ERA</th>
                </tr>
            </thead>
            <tbody>
                @for(pitcher <- lineup.filter(_.lineupEntry.battingPos == 0).sortBy(_.lineupEntry.id)) {
                    <tr>
                        <td>
                        @if(pitcher.lineupEntry.replacedBy.isDefined) {
                            <del><a class="text-secondary" href="@routes.PlayerController.showPlayer(pitcher.player.player.id)">@pitcher.player.player.fullName</a></del>
                        } else {
                            <a class="text-secondary" href="@routes.PlayerController.showPlayer(pitcher.player.player.id)">@pitcher.player.player.fullName</a>
                        }
                        </td>
                        <td>@{"%.1f".format(allPlays.filter(p => p.pitcher.contains(pitcher.player.player.id)).foldLeft(0)(_ + _.outsTracked) / 3.0).replace(".3", ".1").replace(".7", ".2")}</td>
                        <td>@{scoringPlays.count(_.scorer1Responsibility.contains(pitcher.player.player.id)) + scoringPlays.count(_.scorer2Responsibility.contains(pitcher.player.player.id)) + scoringPlays.count(_.scorer3Responsibility.contains(pitcher.player.player.id)) + scoringPlays.count(_.scorer4Responsibility.contains(pitcher.player.player.id))}</td>
                        <td>@allPlays.count(p => p.pitcher.contains(pitcher.player.player.id) && (p.result.contains("HR") || p.result.contains("3B") || p.result.contains("2B") || p.result.contains("1B")))</td>
                        <td>@allPlays.count(p => p.pitcher.contains(pitcher.player.player.id) && (p.result.contains("BB") || p.result.contains("Auto BB")))</td>
                        <td>@allPlays.count(p => p.pitcher.contains(pitcher.player.player.id) && (p.result.contains("K") || p.result.contains("Auto K") || p.result.contains("Bunt K")))</td>
                        <td>@{"%.2f".format(pitcher.player.pitchingStats.map(_.era).getOrElse(0f)).replace("Infinity", "Inf.")}</td>
                    </tr>
                }
            </tbody>
        </table>
    </div>

    <div class="table-responsive-sm">
        <table class="table table-sm table-striped table-hover">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Player</th>
                    <th>Pos</th>
                    <th>AB</th>
                    <th>R</th>
                    <th>H</th>
                    <th>RBI</th>
                    <th>BB</th>
                    <th>K</th>
                    <th>BA</th>
                </tr>
            </thead>
            <tbody>
            @for(entry <- lineup.filterNot(_.lineupEntry.battingPos == 0).sortBy(e => (e.lineupEntry.battingPos, e.lineupEntry.id))) {
                <tr>
                    <td>
                    @if(entry.lineupEntry.replacedBy.isDefined) {
                        <del>@entry.lineupEntry.battingPos</del>
                    } else {
                        @entry.lineupEntry.battingPos
                    }
                    </td>
                    <td>
                    @if(entry.lineupEntry.replacedBy.isDefined) {
                        <del><a class="text-secondary" href="@routes.PlayerController.showPlayer(entry.player.player.id)">@entry.player.player.fullName</a></del>-
                    } else {
                        <a class="text-secondary" href="@routes.PlayerController.showPlayer(entry.player.player.id)">@entry.player.player.fullName</a>
                    }
                    </td>
                    <td>@entry.lineupEntry.position</td>
                    <td>@allPlays.count(p => p.batter.contains(entry.player.player.id) && (p.playType != PLAY_TYPE_STEAL && p.playType != PLAY_TYPE_MULTI_STEAL && p.playType != PLAY_TYPE_IBB && p.playType != PLAY_TYPE_AUTO_BB && !p.result.contains("BB") && !p.result.contains("Bunt Sac") && !(p.result.contains("FO") && p.runsScored == 1)))</td>
                    <td>@scoringPlays.count(sp => (sp.scorer1.contains(entry.player.player.id) && sp.scorer1Responsibility.isDefined) || (sp.scorer2.contains(entry.player.player.id) && sp.scorer2Responsibility.isDefined) || (sp.scorer3.contains(entry.player.player.id) && sp.scorer3Responsibility.isDefined) || (sp.scorer4.contains(entry.player.player.id) && sp.scorer4Responsibility.isDefined))</td>
                    <td>@allPlays.count(p => p.batter.contains(entry.player.player.id) && (p.result.contains("HR") || p.result.contains("3B") || p.result.contains("2B") || p.result.contains("1B")))</td>
                    <td>@allPlays.filter(p => p.batter.contains(entry.player.player.id) && p.outsTracked < 2).foldLeft(0)(_ + _.runsScored)</td>
                    <td>@allPlays.count(p => p.batter.contains(entry.player.player.id) && (p.playType == PLAY_TYPE_IBB || p.playType == PLAY_TYPE_AUTO_BB || p.result.contains("BB")))</td>
                    <td>@allPlays.count(p => p.batter.contains(entry.player.player.id) && (p.result.contains("K") || p.result.contains("Auto K") || p.result.contains("Bunt K")))</td>
                    <td>@{"%.3f".format(entry.player.battingStats.map(_.ba).getOrElse(0f))}</td>
                </tr>
            }
            </tbody>
        </table>
    </div>
</div>

